# Donate to farmOS

farmOS accepts donations through [Open Source Collective], a 501c(6) Non-Profit.

You can make one-time donations, or become an ongoing monthly sponsor, by
following the link below and selecting the level of support you would like to
provide.

**Donate: [https://opencollective.com/farmOS]**

<script src="https://opencollective.com/farmOS/donate/button.js" color="blue"></script>

## Mission

farmOS is a [free and open source software] project.

We aim to build a standard platform for flexible farm planning, record keeping,
and data management. Our priorities are data ownership, interoperability, and
ease-of-use, with a **"farmer first"** focus.

To learn more about the motivations behind farmOS, these videos provide some
background:

* [farmOS Motivations] (Interview by Chris Callahan of [UVM Extension])
* [OPEN FARMS] (Episode 3 of the [GODAN] Documentary Web Series]

The project is [supported by a community] of volunteers, developers,
researchers, and organizations. If you or your organization would like to
support the farmOS project, consider **[making a donation]**.

## Maintaining open source

Developing open-source software is fundamentally different than [closed source]
software that is owned by a single company or individual. farmOS was built from
the beginning with a focus on enabling community participation. All planning,
feature design, bug tracking, and roadmaps are open to public comment, and
everyone is invited to take part in the design and decision making process.

**We believe that this approach results in better software.**

There are [lots]  [of]  [other]  [examples]  [that]  [back]  [this]  [up] (and
that farmOS itself builds on top of). Open source development amplifies
community contributions by ["standing on the shoulders of giants"].

The single biggest **challenge** to open source projects is
[financial sustainability].

There are ongoing costs to maintaining software, so open source communities
rely on [alternative funding strategies] to keep projects alive and healthy.

## Funding farmOS

By **[donating to farmOS]**, you can support the work that goes into managing
the project and community. This includes:

### General development

* Feature development
* Planning and roadmaps
* Issue queue management
* Testing and bug fixes
* Dependency updates
* New version releases
* Coordinating larger development initiatives

### Community infrastructure

* farmOS.org website
* Code repositories
* Monthly calls
* Chat rooms
* Contributor on-boarding

### Documentation

* User guides, videos, screencasts
* Developer documentation
* Translations

## Transparency

All contributions made through the [farmOS Open Collective], as well as all
expenses deducted from it, are publicly visible. This provides a radically
transparent view into how the farmOS collective manages its budget.

## Become a supporter

We need your help to keep the farmOS project going. **[Make a donation now]!**

<script src="https://opencollective.com/farmOS/donate/button.js" color="blue"></script>

And **"THANK YOU"** to [everyone who has supported farmOS] already.

<br />

Sincerely,

[The farmOS Maintainers]

<script src="https://opencollective.com/farmOS/banner.js"></script>

[Open Source Collective]: https://opencollective.com/opensourcecollective
[https://opencollective.com/farmOS]: https://opencollective.com/farmOS
[free and open source software]: https://en.wikipedia.org/wiki/Free_and_open-source_software
[farmOS Motivations]: https://youtu.be/ATUEWrlDbWw
[UVM Extension]: https://www.uvm.edu/extension
[OPEN FARMS]: https://youtu.be/bCOqg5iH6fM
[GODAN]: https://www.godan.info
[supported by a community]: /community/supporters
[making a donation]: https://opencollective.com/farmOS
[closed source]: https://en.wikipedia.org/wiki/Proprietary_software
[lots]: https://en.wikipedia.org/wiki/Linux
[of]: https://en.wikipedia.org/wiki/Apache_HTTP_Server
[other]: https://en.wikipedia.org/wiki/PostgreSQL
[examples]: https://en.wikipedia.org/wiki/Drupal
[that]: https://en.wikipedia.org/wiki/OpenLayers
[back]: https://en.wikipedia.org/wiki/Bootstrap_(front-end_framework)
[this]: https://en.wikipedia.org/wiki/Vue.js
[up]: https://en.wikipedia.org/wiki/Firefox
["standing on the shoulders of giants"]: https://en.wikipedia.org/wiki/Standing_on_the_shoulders_of_giants
[financial sustainability]: https://techcrunch.com/2018/06/23/open-source-sustainability/
[alternative funding strategies]: https://github.com/nayafia/lemonade-stand
[donating to farmOS]: https://opencollective.com/farmOS
[Make a donation now]: https://opencollective.com/farmOS
[farmOS Open Collective]: https://opencollective.com/farmOS
[everyone who has supported farmOS]: /community/supporters
[The farmOS Maintainers]: /community/maintainers/

