# farmOS Field Kit

farmOS Field Kit is a way to connect to your farmOS server from your mobile
device. Because much of the work of an active farm can occur outside of wifi or
cellular range, Field Kit is designed to be an offline-first app. You can create
and modify farm logs wherever you're at, whenever you need to; then, when you
are back within signal range, you can synchronize all your logs with your farmOS
server.

Field Kit provides a simplified view of the farm's records, working much like a
to-do app. Logs of upcoming farm activities that have been assigned to you will
be synced to your device. As you complete each activity, you can update the log
with real-time data and photos, mark it as done, then sync it back to the
server. You can also create new logs, such as observations or other log types,
all on the fly.

## Releases

**Please note that all releases of farmOS Field Kit are currently in beta release
and are not considered stable. If you use them, make sure to backup your data
regularly to your farmOS server to avoid data loss.**

Field Kit is available as a web app and as native apps for Android and iOS.

The Android app can be installed now from the [Play Store].

The iOS app is only available right now via [Test Flight] and you will need an
invite in order to install it. If you'd like to request and invite, you can
[sign up here].

The web app can be found at [farmos.app] and can be installed as a
[Progressive Web App] (PWA). As a PWA, the app will work offline and your logs
will be stored in between uses. You can even add the app to your device's home
screen, so it can be launched just like a native app.

## Server requirements

All versions of Field Kit require that your farmOS server have an SSL certificate,
which enables network traffic to be served via `https` rather than `http`. Also,
make sure that [clean URL's] are enabled. Finally, you should keep your server
updated with the most recent version of farmOS to ensure compatibility with the
the latest version of Field Kit.

## Development

For technical information on the project, please see the [Development section].

The source code can be viewed on [GitHub]


[Play Store]: https://play.google.com/store/apps/details?id=org.farmos.app
[Test Flight]: https://developer.apple.com/testflight/
[sign up here]: https://testflight.apple.com/join/A35xRBwE
[farmos.app]: https://farmos.app
[Progressive Web App]: https://developers.google.com/web/progressive-web-apps/
[clean URL's]: https://www.drupal.org/docs/7/configuring-clean-urls/enable-clean-urls
[Development Section]: /development/client
[GitHub]: https://github.com/farmOS/farmOS-client
