# Equipment

farmOS can be used to manage equipment assets on the farm.

Equipment [movements] and activities can be recorded via standard [log types],
and a special **Maintenance** log type is provided specifically for keeping
equipment maintenance records.

<div class="embed-responsive embed-responsive-16by9">
  <video class="embed-responsive-item" width="100%" controls>
    <source src="/demo/equipment.mp4" type="video/mp4">
  </video>
</div>

## Equipment logs

In addition to the standard [log types] that all farmOS assets share
(activities, observations, inputs, and harvests), the equipment module provides
an additional log type that is specific to equipment: maintenance.

**Maintenance** logs can be used to record when you perform maintenance on a
piece of equipment. This can be a repair, a tune-up, an oil change, a cleaning,
or anything thing else that is maintenance related to the proper use and
functioning of the equipment. All your maintenance records can be organized,
categorized, and filtered like other log types in farmOS.

### Equipment use logs

When you are creating logs, you can also reference the equipment that was used.
In combination with the "assets" field on logs, you can specify which assets
**received** the action, and which equipment assets **performed** it. You will
then see a list of "Equipment use logs" on each equipment record, so you can
track when it was used.

## Suggested uses

* Use activity logs to record equipment use.
* Keep track of equipment location with [movements].
* Record oil changes, repairs, and inspections with maintenance logs.
* Track fuel usage with input logs.

[movements]: /guide/location
[log types]: /guide/logs

