# farmOS User Guide

## Introduction

Welcome to the official farmOS user guide. These documents are intended for
people who will be using farmOS for record keeping and farm management.

If you are looking for information about hosting farmOS, or contributing to
the devlopment, refer to the dedicated documentation on those topics:

* [Hosting farmOS]
* [Contributing to farmOS]

## Logging in

The first step to using farmOS is logging in. All records are private by
default, and can only be viewed people with a username and password.

To log in, first you need to know the address of your farmOS site. If you are
hosting farmOS on [Farmier], this address will most likely be something like
`https://myfarm.farmos.net` (where `myfarm` is the name of your farm). If your
farmOS is hosted by someone else, they will be able to point you to the correct
URL.

Enter the URL into the web browser on your computer, phone, or tablet, and you
should see a login form. Enter your username and password, and click "Log in"
to begin using farmOS.

## Dashboard

The first thing you will see when you log in is the farmOS dashboard.

On the left are the todo lists. The "Plan" shows all upcoming tasks that need
to be done. If you miss a task, a "Late tasks" list will also be displayed
underneath.

On the right is the farm map, where you will see any areas that you have
mapped. You can use this to navigate to records within farmOS by clicking on
an area and then clicking on the available links within the area popup.

Under the map you will see a set of metrics for the farm, including total mapped
area, total assets, etc. Additional metrics can be added via modules.

<div class="embed-responsive embed-responsive-16by9">
  <video class="embed-responsive-item" width="100%" controls>
    <source src="/demo/dashboard.mp4" type="video/mp4">
  </video>
</div>

## Navigation

farmOS is designed to make your records approachable from multiple angles, so
it is easy to find records you made in the past, and add new ones in the
future.

The main menu at the top provides direct links to the 4 main types of records:

* [Areas] - Places on or off the farm
* [Assets] - Things of value that you are managing
* [Logs] - Events that are related to areas, assets, and people
* [People] - People with logins to farmOS

These pages will list all areas, assets, logs, or people within the system.
Filter and sort options allow you to narrow down the lists to find the record
you're looking for.

You can also use the map to navigate to records that relate to specific areas.
For example, if you want to view the record for a specific planting, you can
click on the field in the map where the planting is and you will see all assets
in that field.

If you are looking for a specific log, you can either find it via the "Logs"
main menu (and submenus), or you can find the area or asset that the log is
associated with, and the log will appear there as well.

All your records can be connected and related in this way to make navigating
them easier.

## farmOS + Field Kit

When farmOS logs are  marked as not "done" and assigned to one of the farm's
users, those logs will be synced to that user's Field Kit app under the 
"My Logs" screen. This way, you can assign tasks to different people and they 
can update the log as the task is completed.

To learn more about installing farmOS for your farm, visit the [Hosting] page.
For information on how to download and use the Field Kit app, visit the
[Field Kit] page.

[Hosting farmOS]: /hosting
[Contributing to farmOS]: /community/contribute
[Farmier]: https://farmier.com
[Areas]: /guide/areas
[Assets]: /guide/assets
[Logs]: /guide/logs
[People]: /guide/people
[Hosting]: /hosting
[Field Kit]: /guide/app
