![farmOS](/img/farmOS.png)

![farmOS Screenshot](/img/screenshot.png)

**
farmOS is a web-based application for farm management, planning, and record
keeping. It is developed by a community of farmers, developers, researchers, and
organizations with the aim of providing a standard platform for agricultural
data collection and management.
**

The farmOS server is built on top of [Drupal], which makes it [modular],
[extensible], and [secure]. The [farmOS Field Kit] app provides offline data
entry in a native Android/iOS app, and as a progressive web app (PWA) at
[https://farmOS.app].

Both are licensed under the [GNU General Public License], which means they are
[free] and [open source].

To learn how to use farmOS, refer to the [User Guide]. For more information,
visit the [farmOS Community Forum] and read the [Frequently Asked Questions].

You can contribute to the project by [making a donation] or [contributing] in
other ways.

## Quick Links

* [Monthly call]
* Forum: [https://farmOS.discourse.group]
* Chat:
    * Matrix:
        * [#farmOS on Matrix.org] (bridged to #farmOS IRC room on Freenode)
        * [#FIot on Matrix.org] (Farm Internet of Things)
    * IRC: [#farmOS on Freenode] (requires a registered name)
* Code repositories:
    * Drupal.org: [https://drupal.org/project/farm]
    * GitHub: [https://github.com/farmOS]
    * Client app: [https://github.com/farmOS/farmOS-client]
* Twitter: [@farmOSorg]
* Twitter: [@getFarmier]

## Media

### Motivations

In this video by Chris Callahan at [UVM Extension]'s
[Agricultural Engineering Program], Michael Stenta provides an overview of the
motivations behind farmOS.  Why he started the project, why he uses Drupal as
the development framework and why it is open-source. Available on YouTube:
[https://youtu.be/ATUEWrlDbWw]

<div class="embed-responsive embed-responsive-4by3">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/ATUEWrlDbWw?rel=0" allowfullscreen></iframe>
</div>

### Open Source Stories: The Open Farmer

farmOS was featured in the [Red Hat Open Source Stories - Farming for the Future Series: "The Open Farmer"],
available on YouTube: [https://youtu.be/6L0is9gUowY]

<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/6L0is9gUowY?rel=0" allowfullscreen></iframe>
</div>

### OpenTEAM (Open Technology Ecosystem for Agricultural Management)

farmOS is part of [OpenTEAM], which is summarized in a video by [Stonyfield],
available on YouTube: [https://youtu.be/U9YZ4H10ves]

<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/U9YZ4H10ves?rel=0" allowfullscreen></iframe>
</div>

### GODAN Documentary Web Series

farmOS was featured in the [GODAN Documentary Web Series: "OPEN FARMS"],
available on YouTube: [https://youtu.be/bCOqg5iH6fM]

<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/bCOqg5iH6fM?rel=0" allowfullscreen></iframe>
</div>

### CNBC Special

farmOS was featured in a CNBC special:
[CNBC: The Future Of Farming Is Utilizing Data In An Open Source Network Of Farmers].

<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/zua1y-hBcGc?rel=0" allowfullscreen></iframe>
</div>

### 2017 NOFA Summer Conference

Michael Stenta presented a farmOS workshop at the 2017 [NOFA Summer Conference].
It covers the core features of farmOS, how to get started, where to find help,
and how to contribute back to the project.

The full workshop recording is available on YouTube:
[https://youtu.be/B8ouL9Et98o]

<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/B8ouL9Et98o?rel=0" allowfullscreen></iframe>
</div>

## @farmOSorg on Twitter

<a class="twitter-timeline" href="https://twitter.com/farmOSorg">@farmOSorg</a>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

[Drupal]: https://drupal.org
[modular]: http://en.wikipedia.org/wiki/Modular_programming
[extensible]: https://www.drupal.org/download
[secure]: http://www.drupal.org/documentation/is-drupal-secure
[farmOS Field Kit]: /guide/app
[https://farmOS.app]: https://farmOS.app
[User Guide]: /guide
[farmOS Community Forum]: https://farmOS.discourse.group
[making a donation]: /donate
[contributing]: /community/contribute
[Frequently Asked Questions]: /faq
[UVM Extension]: https://www.uvm.edu/extension
[Agricultural Engineering Program]: https://www.uvm.edu/extension/agriculture/agricultural_engineering
[https://youtu.be/ATUEWrlDbWw]: https://youtu.be/ATUEWrlDbWw
[Red Hat Open Source Stories - Farming for the Future Series: "The Open Farmer"]: https://www.redhat.com/en/open-source-stories/farming-for-the-future/open-farmer
[https://youtu.be/6L0is9gUowY]: https://youtu.be/6L0is9gUowY
[OpenTEAM]: https://wolfesneck.org/openteam
[Stonyfield]: https://www.stonyfield.com
[https://youtu.be/U9YZ4H10ves]: https://youtu.be/U9YZ4H10ves
[CNBC: The Future Of Farming Is Utilizing Data In An Open Source Network Of Farmers]: https://youtu.be/zua1y-hBcGc
[GODAN Documentary Web Series: "OPEN FARMS"]: http://www.godan.info/news/open-farms-godan-documentary-web-series-episode-3
[https://youtu.be/bCOqg5iH6fM]: https://youtu.be/bCOqg5iH6fM
[NOFA Summer Conference]: http://nofasummerconference.org
[https://youtu.be/B8ouL9Et98o]: https://youtu.be/B8ouL9Et98o
[GNU General Public License]: http://www.gnu.org/copyleft/gpl.html
[free]: https://en.wikipedia.org/wiki/Free_software
[open source]: http://en.wikipedia.org/wiki/Open_source
[groundwork]: /development/architecture
[contribute]: /community/contribute
[https://drupal.org/project/farm]: https://drupal.org/project/farm
[https://github.com/farmOS]: https://github.com/farmOS
[https://github.com/farmOS/farmOS-client]: https://github.com/farmOS/farmOS-client
[Monthly call]: /community/monthly-call
[https://farmOS.discourse.group]: https://farmOS.discourse.group
[#farmOS on Matrix.org]: https://matrix.to/#/#farmOS:matrix.org
[#FIot on Matrix.org]: https://matrix.to/#/#fiot:matrix.org
[#farmOS on Freenode]: http://webchat.freenode.net/?channels=#farmOS
[@farmOSorg]: https://twitter.com/farmOSorg
[@getFarmier]: https://twitter.com/getFarmier

